<?php

namespace Drupal\contact_permissions\Access;

use Drupal\Core\Access\AccessResult;
use Drupal\Core\Session\AccountInterface;
use Drupal\user\UserInterface;
use Drupal\contact\Access\ContactPageAccess;

/**
 * Access check for contact_personal_page route.
 */
class ContactPermissionsContactPageAccess extends ContactPageAccess {

  /**
   * {@inheritdoc}
   */
  public function access(UserInterface $user, AccountInterface $account) {
    return parent::access($user, $account)->andif(AccessResult::allowedIfHasPermission($user, 'have a personal contact form'));
  }

}
